API Documentation
Toggle TOC panel
<access-service>/api/v1/objects/{objectId}/keys/view

URL structure

1 https://access-service.xy-company.com/api/v1/objects/{objectId}/keys/view

where {objectId} is the ID of a Secure Object.

Supported methods and overview

  • GET - used to retrieve the cryptographic key required to decrypt the read-only view of a Secure Object, based on the Secure Object's ID.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves the cryptographic key required to decrypt the read-only view of a Secure Object, using the Secure Object's ID.

This key is generated after uploading a Secure Object's data to storage and both of the following criteria have been met:

  • The Secure Object's file name (i.e. its name value) contains an extension which is supported by Safe Share's content viewer.
  • The size of the file in its unencrypted form (i.e. its contentSize value) is less than the default of 20,000,000 bytes.

A Secure Object's ID can be obtained by calling the <access-service>/api/v1/items API endpoint, which retrieves a list of information associated with Secure Objects that can be filtered using various 'search' criteria.

Supported roles and conditions

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide) and conditions:

  • Originator - a Covata user with this role can call this endpoint on a Secure Object they own.
  • Originator, Collaborator and Ad hoc - a Covata user with any of these roles can call this endpoint for a Secure Object they are a collaborator on.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • keyValue - .
  • cryptographicAlgorithm - .
  • keyLength - .
  • initializationVector - .

    Example:

    {
    "keyValue": "2VCZkPeYPhvL4VkzrEqIVGaW2AGmRM1uwuXiPRbe8NU=",
    "cryptographicAlgorithm": "AES",
    "keyLength": 256,
    "initializationVector": "fpEIYIk+dnMw7rgFA+Bz8g=="
    }